/*
 * Copyright 2018-2020 by Kappich Systemberatung, Aachen
 *
 * This file is part of de.bsvrz.dav.dav.
 *
 * de.bsvrz.dav.dav is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.bsvrz.dav.dav is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.dav.dav.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Pascalstraße 53
 * 52076 Aachen, Germany
 * phone: +49 2408 7047 240
 * mail: <info@kappich.de>
 */

package de.bsvrz.dav.dav.main;

import com.google.common.collect.ImmutableList;
import de.bsvrz.dav.dav.communication.appProtocol.T_A_HighLevelCommunication;
import java.util.Collection;

/**
 * TBD Dokumentation
 *
 * @author Kappich Systemberatung
 */
public class ApplicationConnectionMap extends ConnectionMap<T_A_HighLevelCommunication> {
    private final ImmutableList<ApplicationInfo> _allInfos;

    public ApplicationConnectionMap(final Collection<ApplicationInfo> allInfos) {
        _allInfos = ImmutableList.copyOf(allInfos);
    }

    public ImmutableList<ApplicationInfo> getAllInfos() {
        return _allInfos;
    }

}
